Bug 1010514 - [abrt] gthumb-3.2.3-3.fc19: equal: Process /usr/bin/gthumb was killed by signal 11 (SIGSEGV)
[abrt] gthumb-3.2.3-3.fc19: equal: Process /usr/bin/gthumb was killed by sign...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gthumb (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christian Krause
Fedora Extras Quality Assurance
abrt_hash:e31b449d183f0e038226f39b0f2...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-20 21:56 EDT by Pekka Kaitaniemi
Modified: 2015-02-17 12:16 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 12:16:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (39.13 KB, text/plain)
2013-09-20 21:56 EDT, Pekka Kaitaniemi
no flags Details
File: cgroup (141 bytes, text/plain)
2013-09-20 21:56 EDT, Pekka Kaitaniemi
no flags Details
File: core_backtrace (20.98 KB, text/plain)
2013-09-20 21:56 EDT, Pekka Kaitaniemi
no flags Details
File: dso_list (20.70 KB, text/plain)
2013-09-20 21:56 EDT, Pekka Kaitaniemi
no flags Details
File: environ (3.96 KB, text/plain)
2013-09-20 21:56 EDT, Pekka Kaitaniemi
no flags Details
File: exploitable (82 bytes, text/plain)
2013-09-20 21:56 EDT, Pekka Kaitaniemi
no flags Details
File: limits (1.29 KB, text/plain)
2013-09-20 21:56 EDT, Pekka Kaitaniemi
no flags Details
File: maps (103.97 KB, text/plain)
2013-09-20 21:56 EDT, Pekka Kaitaniemi
no flags Details
File: open_fds (1.49 KB, text/plain)
2013-09-20 21:56 EDT, Pekka Kaitaniemi
no flags Details
File: proc_pid_status (941 bytes, text/plain)
2013-09-20 21:56 EDT, Pekka Kaitaniemi
no flags Details
File: var_log_messages (421 bytes, text/plain)
2013-09-20 21:56 EDT, Pekka Kaitaniemi
no flags Details

  None (edit)
Description Pekka Kaitaniemi 2013-09-20 21:56:24 EDT
Description of problem:
I ran gthumb just to see if it works on my F19 setup (LXDE spin, LXDE desktop + XMonad window manager). The application crashed when I was closing it (I think). I ran gthumb again a couple of times but couldn't reproduce the crash.

There was the following message in the terminal where I had launched gthumb from:
(gthumb:4565): Gtk-WARNING **: Failed to register client: GDBus.Error:org.freedesktop.DBus.Error.ServiceUnknown: The name org.gnome.SessionManager was not provided by any .service files
Segmentation fault (core dumped)

Version-Release number of selected component:
gthumb-3.2.3-3.fc19

Additional info:
reporter:       libreport-2.1.7
backtrace_rating: 4
cmdline:        gthumb
crash_function: equal
executable:     /usr/bin/gthumb
kernel:         3.11.1-200.fc19.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 equal at Source/WTF/wtf/text/StringImpl.h:841
 #1 equalInner at Source/WTF/wtf/text/StringImpl.cpp:1235
 #2 WTF::StringImpl::endsWith at Source/WTF/wtf/text/StringImpl.cpp:1277
 #3 endsWith<2u> at Source/WTF/wtf/text/StringImpl.h:714
 #5 WebCore::pathByAppendingComponent at Source/WebCore/platform/gtk/FileSystemGtk.cpp:165
 #6 WebKit::findWebKitProcess at Source/WebKit2/Shared/gtk/ProcessExecutablePathGtk.cpp:61
 #7 WebKit::executablePathOfWebProcess at Source/WebKit2/Shared/gtk/ProcessExecutablePathGtk.cpp:71
 #8 WebKit::ProcessLauncher::launchProcess at Source/WebKit2/UIProcess/Launcher/gtk/ProcessLauncherGtk.cpp:79
 #9 operator() at Source/WTF/wtf/Functional.h:704
 #10 performWork at Source/WebKit2/Platform/gtk/WorkQueueGtk.cpp:50
Comment 1 Pekka Kaitaniemi 2013-09-20 21:56:28 EDT
Created attachment 800807 [details]
File: backtrace
Comment 2 Pekka Kaitaniemi 2013-09-20 21:56:31 EDT
Created attachment 800808 [details]
File: cgroup
Comment 3 Pekka Kaitaniemi 2013-09-20 21:56:34 EDT
Created attachment 800809 [details]
File: core_backtrace
Comment 4 Pekka Kaitaniemi 2013-09-20 21:56:37 EDT
Created attachment 800810 [details]
File: dso_list
Comment 5 Pekka Kaitaniemi 2013-09-20 21:56:40 EDT
Created attachment 800811 [details]
File: environ
Comment 6 Pekka Kaitaniemi 2013-09-20 21:56:42 EDT
Created attachment 800812 [details]
File: exploitable
Comment 7 Pekka Kaitaniemi 2013-09-20 21:56:45 EDT
Created attachment 800813 [details]
File: limits
Comment 8 Pekka Kaitaniemi 2013-09-20 21:56:48 EDT
Created attachment 800814 [details]
File: maps
Comment 9 Pekka Kaitaniemi 2013-09-20 21:56:50 EDT
Created attachment 800815 [details]
File: open_fds
Comment 10 Pekka Kaitaniemi 2013-09-20 21:56:53 EDT
Created attachment 800816 [details]
File: proc_pid_status
Comment 11 Pekka Kaitaniemi 2013-09-20 21:56:56 EDT
Created attachment 800817 [details]
File: var_log_messages
Comment 12 Fedora End Of Life 2015-01-09 14:55:08 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Fedora End Of Life 2015-02-17 12:16:35 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.